B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=11
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public serveresult As List
End Sub

Public function Call_Service(Jobname As String, Parameter As String)
	Dim Job As HttpJob
	Job.Initialize(Jobname, "")
	Dim APIPath As String
	Dim callurl As String
	callurl=AllgFnkt.sURL
	
	Select Case Jobname
		Case "GetPat"
			APIPath="/DPMService/api/Service_View_Pat/"&Parameter
		Case "GetPatName"
			APIPath="/DPMService/api/Service_View_Pat/search/"&Parameter
	End Select
		
	callurl=callurl&APIPath
	Job.Download(callurl)
	Job.GetRequest.SetHeader("ApiKey",AllgFnkt.apikey)
	Wait For (Job) JobDone(Job As HttpJob)
	
	
	
End Sub